RBignum Struct Reference

`#include <ruby.h>`

## Data Fields

struct RBasic | basic
union {
struct {
long len
BDIGIT * digits
} heap
BDIGIT ary [RBIGNUM_EMBED_LEN_MAX]
} | as

## Detailed Description

Definition at line 869 of file ruby.h.

## Field Documentation

BDIGIT RBignum::ary[RBIGNUM_EMBED_LEN_MAX]

Definition at line 876 of file ruby.h.

union { ... } RBignum::as

struct RBasic RBignum::basic

Definition at line 870 of file ruby.h.

BDIGIT* RBignum::digits

Definition at line 874 of file ruby.h.

struct { ... } RBignum::heap

long RBignum::len

Definition at line 873 of file ruby.h.

The documentation for this struct was generated from the following file:

- include/ruby/ruby.h